<template>
  <div
    v-if="info"
    class="modal-container"
  >
    <div class="row">
      <div class="col-xs-4 field-names">
        <div>Полное название:</div>
      </div>
      <div class="col-xs-8 field-values">
        <div>{{ info.participantTitle }}</div>
      </div>
    </div>

    <div
      v-for="field in info.participantInfo"
      :key="field.fieldUuid"
      class="row"
    >
      <div class="col-xs-4 field-names">
        <div>{{ field.fieldTitle }}:</div>
      </div>
      <div class="col-xs-8 field-values">
        <div>{{ field.fieldValue.data.value }}</div>
      </div>
    </div>

    <div class="row">
      <div class="col-xs-4 field-names">
        <div>Эл. почта:</div>
      </div>
      <div class="col-xs-8 field-values">
        <div>{{ info.email }}</div>
      </div>
    </div>

    <div class="row">
      <div class="col-xs-4 field-names">
        <div>Входит в группы:</div>
      </div>
      <div class="col-xs-8">
        <div
          v-if="info.groups"
          class="contractors-groups"
        >
          <div
            class="contractors-group"
            v-for="group in info.groups"
            :key="group.requisiteGroupUuid"
          >
            {{ group.requisiteGroupTitle }}
          </div>
        </div>
      </div>
    </div>

    <router-link
      target="_blank"
      class="modal-link"
      :to="info ? `/tenders-contractors/${info.participantUuid}` : ''"
    >
      Перейти в подробную карточку
    </router-link>
  </div>
</template>

<script>
  import api from '@/api'

  export default {
    name: 'participantInfo',
    props: {
      uuid: {
        type: String,
        required: true
      }
    },
    data () {
      return {
        info: null
      }
    },
    async mounted () {
      const { domains } = await api.tenders.getContractorByUuid(this.uuid)

      this.info = domains ? domains[0] : {}
    }
  }
</script>

<style lang="scss" scoped>
  @import "~common-components/src/static/css/mixins";

  .contractors-groups {
    display: flex;
    flex-wrap: wrap;
    margin-bottom: calc(-13px + 30px);
  }

  .contractors-group {
    @include font-mixin(14px, 15px, normal, $shale-gray);

    display: flex;
    align-items: center;
    justify-content: space-between;
    background: $lavender;
    text-align: center;
    padding: 5px 12px;
    border-radius: 10px;
    background: $blue-250;
    margin: 0 13px 13px 0;
    min-height: 28px;
  }

  .field-names {
    font-size: 14px;
    color: $color-grey-span;
  }

  .field-values {
    font-size: 14px;
    color: $color-text-base;
  }

  .modal-link {
    margin-top: 20px;
    font-size: 14px;
    color: $color-blue-navy-blue;
    text-decoration: none;
  }
</style>